KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm config images list - Print a list of images kubeadm will use. The configuration file is used in case any images or image repositories are customized

SYNOPSIS

kubeadm config images list [OPTIONS]

DESCRIPTION

Print a list of images kubeadm will use. The configuration file is used in case any images or image repositories are customized

OPTIONS

--allow-missing-template-keys=true
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

--config=""
    Path to a kubeadm configuration file.

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are: ControlPlaneKubeletLocalMode=true|false (BETA - default=true) NodeLocalCRISocket=true|false (ALPHA - default=false) PublicKeysECDSA=true|false (DEPRECATED - default=false) RootlessControlPlane=true|false (ALPHA - default=false) WaitForAllControlPlaneComponents=true|false (BETA - default=true)

--image-repository="registry.k8s.io"
    Choose a container registry to pull control plane images from

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

-o, --output="text"
    Output format. One of: text|json|yaml|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file.

--show-managed-fields=false
    If true, keep the managedFields when printing objects in JSON or YAML format.

OPTIONS INHERITED FROM PARENT COMMANDS

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-config-images(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!